
channels:
    name: Kanały
    singular_name: Kanał
    fields:
        title:
            type: text
            class: large
            group: Dane podstawowe
        # slug:
        #     type: slug
        #     uses: title
        hero_image:
            type: file
            label: Hero
            extensions: [ jpg, gif, png ]
            info: 2480px x 950px
        image_logo:
            type: file
            label: Logo
            extensions: [ png ]
            info: 1400px x 1000px
        body:
            type: html
            height: 400px
        contact:
            type: select
            label: Kontakt
            values: people/id,title
        fb_name:
            type: text
            label: FB nazwa
            group: Social media
        fb_link:
            type: text
            label: FB link
        insta_name:
            type: text
            label: Insta nazwa
        insta_link:
            type: text
            label: Insta link
        tiktok_name:
            type: text
            label: Tiktok nazwa
        tiktok_link:
            type: text
            label: Tiktok link
        yt_name:
            type: text
            label: YT nazwa
        yt_link:
            type: text
            label: YT link
        # background:
        #     type: file
        #     label: Tło dla listingu programów
        #     extensions: [ png ]
        # background_mobile:
        #     type: file
        #     label: Tło dla listingu programów, wersja mobile
        #     extensions: [ png ]
        # ribbon:
        #     type: file
        #     label: Wstęga na stronę programu
        #     extensions: [ png ]
        # pdf:
        #     type: file
        #     extensions: [ pdf ]
        sortorder:
            type: integer
            label: Kolejność
            readonly: false
        # image_color:
        #     type: image
        #     label: Logo
        #     extensions: [ gif, jpg, png, svg ]
        #     placeholder: https://source.unsplash.com/1280x768/?business,workplace/__random__
        #     group: Media
        # image_gray:
        #     type: image
        #     label: Logo szare
        #     extensions: [ gif, jpg, png, svg ]
        #     placeholder: https://source.unsplash.com/1280x768/?business,workplace/__random__
        #     group: Media
    recordsperpage: 50
    default_status: published
    dragsort: true
    sort: sortorder
    listing_sort: sortorder
    record_template: channel.twig


programs:
    name: Programy
    singular_name: Program
    fields:
        title:
            type: text
            class: large
            group: Dane podstawowe
        hero_image:
            type: image
            label: Hero image
            extensions: [ gif, jpg, png ]
            info: 2480px x 950px
            placeholder: https://source.unsplash.com/1280x768/?business,workplace/__random__
        # title_height:
        #     type: integer
        #     min: 0
        #     step: 1
        #     label: "Ile wierszy zajmuje tytuł"
        #     info: 'Ile wierszy zajmuje tytuł. Należy określić jeśli tytuł zajmuje więcej niż jeden wiersz.'
        # slug:
        #     type: slug
        #     uses: title
        channel:
            type: select
            values: channels/id,title
            label: Kanał
        season:
            type: text
            default: 'Nowość'
        info_from:
            type: text
            label: Od kiedy
            postfix: "Przykład: <i>Od 5 września</i>"
        info_when_day:
            type: select
            label: Dni emisji
            multiple: true
            values: {1: 'Poniedziałek',2: 'Wtorek', 3: 'Środa', 4: 'Czwartek', 5: 'Piątek', 6: 'Sobota', 7: 'Niedziela'}
        info_when_day_text:
            type: text
            label: Dni emisji (forma tekstowa)
            info: Jeśli pole pozostanie puste to wyświetlą się dni wybrane z pola powyżej.
        info_time:
            type: text
            label: Godzina emisji
            postfix: "Przykład: <i>Godz. 21:30</i>"
        # lead:
        #     type: html
        #     height: 200px
        body:
            type: html
            height: 400px
        contact:
            type: select
            label: Kontakt
            values: people/id,title
        sortorder:
            type: integer
            label: Kolejność
            readonly: true
        cast_repeater:
            type: repeater
            label: Obsada
            initial: 0
            group: Obsada
            fields:
                title:
                    type: text
                    label: Imię i nazwisko
                label:
                    type: text
                    label: Podpis
         
        # card_image:
        #     type: image
        #     label: Card image
        #     extensions: [ gif, jpg, png ]
        #     placeholder: https://source.unsplash.com/1280x768/?business,workplace/__random__
        # images:
        #     type: imagelist
        #     label: Galeria
        #     extensions: [ gif, jpg, png ]
        #     placeholder: https://source.unsplash.com/1280x768/?business,workplace/__random__
        #     group: Media
        # video:
        #     type: file
        #     extensions: [ mp4 ]
        # video_cover:
        #     type: image
        #     label: Stopklatka video
        #     extensions: [ gif, jpg, png ]
        #     placeholder: https://source.unsplash.com/1280x768/?business,workplace/__random__
        # pdf:
        #     type: file
        #     extensions: [ pdf ]
    recordsperpage: 250
    default_status: published
    dragsort: true
    sort: sortorder
    listing_sort: sortorder
    record_template: video.twig



press:
    name: Działy biura prasowego
    singular_name: Dział biura prasowego
    show_in_menu: "Biuro prasowe"
    fields:
        title:
            type: text
            class: large
            label: Nazwa
            group: Dane podstawowe
        slug:
            type: slug
            uses: title
        sortorder:
            type: integer
            label: Kolejność
            readonly: false
    recordsperpage: 50
    default_status: published
    dragsort: true
    sort: sortorder
    viewless: true
    searchable: false

people:
    name: Osoby z biura prasowego
    singular_name: Osoba z biura prasowego
    recordsperpage: 50
    default_status: published
    dragsort: true
    sort: sortorder
    viewless: true
    searchable: false
    show_in_menu: "Biuro prasowe"
    icon_many: "fa:user"
    icon_one: "fa:user"
    fields:
        title:
            type: text
            label: Imię i nazwisko
            group: Dane podstawowe
        slug:
            type: slug
            uses: title
        image:
            type: image
            label: Obraz
            extensions: [ gif, jpg, png ]
            info: 285px x 285px
        position:
            type: text
            label: Stanowisko
        channels:
            type: select
            label: Kanały
            values: (programs,channels)/id,title
            multiple: true
        station:
            type: text
            label: Ramówki
        mail:
            type: text
            label: Adres e-mail
        sortorder:
            type: integer
            label: Kolejność
            readonly: false
privacy_policy:
    name: Polityka prywatności
    singular_name: Polityka prywatności
    singleton: true
    icon_many: "fa:file-text-o"
    icon_one: "fa:file-text-o"
    fields:
        content:
            type: html
            label: Polityka prywatności
